Bug 730331 - Review Request:telepathy-kde-send-file - A File manager plugin to launch a file transfer job with a specified contact
Review Request:telepathy-kde-send-file - A File manager plugin to launch a fi...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Novacek
Fedora Extras Quality Assurance
:
Depends On: telepathy-qt4
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2011-08-12 09:59 EDT by Rex Dieter
Modified: 2016-11-30 19:29 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-18 13:42:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rnovacek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2011-08-12 09:59:24 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/telepathy-kde/telepathy-kde-send-file.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/telepathy-kde/telepathy-kde-send-file-0.1.0-1.fc14.src.rpm
Description: A File manager plugin to launch a file transfer job with a specified contact
Comment 1 Radek Novacek 2011-09-13 03:58:59 EDT
Name: ok
License: wrong, spec says GPLv2+, source is LGPLv2+
Source: wrong URL, should be
http://download.kde.org/unstable/telepathy-kde/%{version}/src/telepathy-kde-send-file_%{version}.tar.bz2
instead of
http://download.kde.org/unstable/unstable/telepathy-kde/%{version}/src/telepathy-kde-send-file_%{version}.tar.bz2
BRs/Reqs: BuildRequires: desktop-file-utils present but no desktop-file-* used
Macros used consistently: ok
ldconfig: not needed
Desktop file validations: not needed
Docs: ok
Devel: NA
Files: ok
Build: ok
rpmlint:
telepathy-kde-send-file.src:4: W: mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 4)
telepathy-kde-send-file.x86_64: W: no-manual-page-for-binary telepathy-kde-send-file
telepathy-kde-send-file.x86_64: E: invalid-desktopfile /usr/share/applications/kde4/telepathy-kde-send-file.desktop (will be fatal in the future): value "all/allfiles;" for key "MimeType" in group "Desktop Entry" contains value "all/allfiles" which is an invalid MIME type: "all" is an unregistered media type
telepathy-kde-send-file.x86_64: E: invalid-desktopfile /usr/share/applications/kde4/telepathy-kde-send-file.desktop required key "Name" in group "Desktop Entry" is not present
telepathy-kde-send-file.x86_64: E: invalid-desktopfile /usr/share/applications/kde4/telepathy-kde-send-file.desktop key "MimeType" is present in group "Desktop Entry", but the type is "Service" while this key is only valid for type "Application"
Comment 2 Rex Dieter 2011-09-15 10:13:58 EDT
Spec URL:
http://rdieter.fedorapeople.org/rpms/telepathy-kde/telepathy-kde-send-file.spec
SRPM URL:
http://rdieter.fedorapeople.org/rpms/telepathy-kde/telepathy-kde-send-file-0.1.0-2.fc15.src.rpm

%changelog
* Thu Sep 15 2011 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-2
- fix Source0 URL
- fix tabs/spaces
- License: LGPLv2+
Comment 3 Radek Novacek 2011-09-16 02:21:51 EDT
Thanks for fixing the issues, setting fedora-review+.
Comment 4 Rex Dieter 2011-09-16 10:37:27 EDT
New Package SCM Request
=======================
Package Name: telepathy-kde-send-file
Short Description: A File manager plugin to launch a file transfer job with a specified contact
Owners: jreznik rdieter
Branches: f15 f16
Comment 5 Gwyn Ciesla 2011-09-16 22:01:16 EDT
Git done (by process-git-requests).
Comment 6 Rex Dieter 2011-09-18 13:42:31 EDT
imported.

Note You need to log in before you can comment on or make changes to this bug.